<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>cn.sam</groupId>
    <artifactId>SamService</artifactId>
    <version>1.0-SNAPSHOT</version>
  </parent>
  <artifactId>SamLims-orm</artifactId>
  <packaging>jar</packaging>
  
  <dependencies>
	  <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-common</artifactId>
      </dependency>
      
      <dependency>
		   <groupId>org.projectlombok</groupId>
		   <artifactId>lombok</artifactId>
		   <scope>provided</scope>
	  </dependency>
	  <!-- -->
	  <dependency>
		  <groupId>com.mysql</groupId>
		  <artifactId>mysql-connector-j</artifactId>
		  <version>${mysql.version}</version>
	  </dependency>
	   
	  <!-- influxdb -->
	   <dependency>
            <groupId>org.influxdb</groupId>
            <artifactId>influxdb-java</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.squareup.okhttp3</groupId>
                    <artifactId>okhttp</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.squareup.okhttp3</groupId>
                    <artifactId>logging-interceptor</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp</artifactId>
        </dependency>
        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>logging-interceptor</artifactId>
        </dependency> 
      
      <!-- SQLtoy -->
      <dependency>
			<groupId>com.github.ben-manes.caffeine</groupId>
			<artifactId>caffeine</artifactId>
			<scope>provided</scope>
			<optional>true</optional>
		</dependency>
	    <dependency>
			<groupId>org.ehcache</groupId>
			<artifactId>ehcache</artifactId>
			<scope>provided</scope>
			<optional>true</optional>
			<exclusions>
				<exclusion>
					<groupId>*</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-redis</artifactId>
			<scope>provided</scope>
			<optional>true</optional>
			<exclusions>
				<exclusion>
					<artifactId>*</artifactId>
					<groupId>*</groupId>
				</exclusion>
			</exclusions>
	  </dependency>
	   <dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-jdbc</artifactId>
	   </dependency>
       <dependency>
    		<groupId>com.fasterxml.jackson.dataformat</groupId>
    		<artifactId>jackson-dataformat-yaml</artifactId>
		</dependency>
       <dependency>
			<groupId>org.zeroturnaround</groupId>
			<artifactId>zt-zip</artifactId>
			<version>${zt-zip.version}</version>
	   </dependency>
       <dependency>
			<groupId>com.oracle.database.jdbc</groupId>
			<artifactId>ojdbc8</artifactId>
			<scope>provided</scope>
			<optional>true</optional>
			<exclusions>
				<exclusion>
					<groupId>*</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		
		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-mongodb</artifactId>
			<scope>provided</scope>
			<optional>true</optional>
			<exclusions>
				<exclusion>
					<artifactId>*</artifactId>
					<groupId>*</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.mongodb</groupId>
			<artifactId>mongo-java-driver</artifactId>
			<version>${mongo-java-driver.version}</version>
			<scope>provided</scope>
			<optional>true</optional>
		</dependency>		
		<dependency>
			<groupId>org.elasticsearch.client</groupId>
			<artifactId>elasticsearch-rest-high-level-client</artifactId>
			<scope>provided</scope>
			<optional>true</optional>
			<exclusions>
				<exclusion>
					<groupId>*</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.elasticsearch.client</groupId>
			<artifactId>elasticsearch-rest-client</artifactId>
			<scope>provided</scope>
			<optional>true</optional>
			<exclusions>
				<exclusion>
					<groupId>commons-logging</groupId>
					<artifactId>commons-logging</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
	
	</dependencies>
</project>